#!/bin/sh -e
#
# start/stop shinGETsu server.

USER=shingetsu
SCRIPT=/usr/local/sbin/sgctrl

if ! [ -x "$SCRIPT" ]; then
	exit 0
fi

case "$1" in
    start)
	echo -n "Starting p2p bbs:"
	sudo -u $USER $SCRIPT start
	echo " shingetsu."
	;;
    stop)
	echo -n "Stopping p2p bbs:"
	sudo -u $USER $SCRIPT stop
	echo " shingetsu."
	;;
    restart|force-reload)
	echo -n "Restarting p2p bbs:"
	sudo -u $USER $SCRIPT restart
	echo " shingetsu."
	;;
    *)
	echo "Usage: $0 {start|stop|restart|force-reload}"
	exit 1
	;;
esac

exit 0

